Subject: RE: [Sipping] Reason in responses

From: "Michael Hammer \(mhammer\)" <[email-masked]>
Date: Mon, 31 Oct 2005 15:18:56 -0500

Does this mean that the behavior of the 302 response and potentially
others will be split across multiple RFCs?

Mike 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Gonzalo Camarillo
> Sent: Saturday, October 29, 2005 2:32 PM
> To: sipping
> Cc: Paul Kyzivat (pkyzivat); Dean Willis; Elwell, John; Mary 
> Barnes; Francois Audet
> Subject: [Sipping] Reason in responses
> 
> Folks,
> 
> in the thread about service retargetting, it has been said a 
> number of times that a 302 response may contain a 486 status 
> code in a Reason header field. Even H-I says this is possible.
> 
> Let me clarify this. When we wrote the Reason spec (RFC 
> 3326), the intention was to only allow it to appear in 
> requests. However, at that time, Jonathan was working on a 
> solution to HERFP that consisted of encapsulating final 
> response codes in a provisional response. That's why we chose 
> to allow Reason header fields only in responses whose 
> definition *explicitly* said so. That is, we expected the 
> definition of the new provisional response resolving the 
> HERFP problem to state that it would contain a Reason entry 
> with the final status code in it.
> 
> You can read the text we came up with in Section 2 of RFC 3326:
> 
>    "The Reason header field MAY appear in any request within 
> a dialog, in
>     any CANCEL request and in any response whose status code 
> explicitly
>     allows the presence of this header field."
> 
> This means that Reason cannot appear in, among others, 302 responses. 
> Actually, it cannot appear in any existing response.
> 
> Therefore, if we want to allow Reason entries in any 
> response, we need to study the implications of doing so, and 
> generate a document specifying it.
> 
> Hope this clarifies things.
> 
> Cheers,
> 
> Gonzalo
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP 
> Use [email-masked] for questions on current 
> sip Use [email-masked] for new developments of core SIP
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 31 Oct 2005 22:25:14 +0200

Hi,

given that we have not agreed on a solution yet, I would say it is 
premature to agree on the document structure to be used to document such 
a solution.

In any case, your comment is well taken. The document structure should 
be as clear as possible.

Thanks,

Gonzalo

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo